Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.dataLayer
Class Place

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  pipe.dataLayer.PetriNetObject
                      pipe.dataLayer.PlaceTransitionObject
                          pipe.dataLayer.Place

All Implemented Interfaces:
  Constants, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class Place
extends PlaceTransitionObject

Place - Petri-Net Place Class

Version:
  1.0
Author:
  James D Bloom
See Also:

  PNML - Petri-Net XMLSchema (stNet.xsd),

  UML - PNML Package

  , Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private java.lang.Integer` | `currentMarking` Current Marking
`static int` | `DIAMETER`
`private java.lang.Integer` | `initialMarking` Initial Marking
`private java.lang.Double` | `markingOffsetX` Initial Marking X-axis Offset
`private java.lang.Double` | `markingOffsetY` Initial Marking Y-axis Offset
`private static java.awt.geom.Ellipse2D.Double` | `place` Ellipse2D.Double place
`private static java.awt.Shape` | `proximityPlace`
`static int` | `tHeight` Token Height
`static int` | `tWidth` Token Width
`static java.lang.String` | `type`

Fields inherited from class pipe.dataLayer.PlaceTransitionObject
`componentHeight, componentWidth, positionX, positionY, someArc`

Fields inherited from class pipe.dataLayer.PetriNetObject
`bounds, COMPONENT_DRAW_OFFSET, draggable, id, ignoreSelection, objectColour, pnName, selectable, selected, selectionBorderColour`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface pipe.gui.Constants
`ADDTOKEN, ANIMATE, ANNOTATION, ANNOTATION_DEFAULT_FONT, ANNOTATION_DEFAULT_FONT_SIZE, ANNOTATION_LAYER_OFFSET, ANNOTATION_MIN_WIDTH, ANNOTATION_SIZE_OFFSET, ARC, ARC_CONTROL_POINT_CONSTANT, ARC_LAYER_OFFSET, ARC_PATH_PROXIMITY_WIDTH, ARC_PATH_SELECTION_WIDTH, ARC_POINT_LAYER_OFFSET, CREATING, DEFAULT_ELEMENT_TYPE, DELETE, DELTOKEN, DRAW, ELEMENT_FILL_COLOUR, ELEMENT_LINE_COLOUR, ENABLED_TRANSITION_COLOUR, FIRE, GRID, IMMTRANS, LOWEST_LAYER_OFFSET, NOTE_DISABLED_COLOUR, NOTE_EDITING_COLOUR, PLACE, PLACE_TRANSITION_HEIGHT, PLACE_TRANSITION_LAYER_OFFSET, PLACE_TRANSITION_PROXIMITY_RADIUS, PROPERTY_FILE_DESC, PROPERTY_FILE_EXTENSION, RANDOM, RESERVED_BORDER, RESIZE_POINT_DOWN_COLOUR, SELECT, SELECTION_FILL_COLOUR, SELECTION_LAYER_OFFSET, SELECTION_LINE_COLOUR, START, STEPBACKWARD, STEPFORWARD, STOP, TIMEDTRANS`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Place()` Create empty Petri-Net Place object
`Place(double positionXInput, double positionYInput)` Create Petri-Net Place object
`Place(double positionXInput, double positionYInput, java.lang.String idInput)` Create Petri-Net Place object
`Place(double positionXInput, double positionYInput, java.lang.String idInput, java.lang.String nameInput, double nameOffsetXInput, double nameOffsetYInput, int initialMarkingInput, double markingOffsetXInput, double markingOffsetYInput)` Create Petri-Net Place object

Method Summary
`int` | `boundsHeight()` Returns the height bounds we want to use when initially creating the place on the gui
`int` | `boundsWidth()` Returns the width bounds we want to use when initially creating the place on the gui
`boolean` | `contains(int x, int y)`
`int` | `getCurrentMarking()` Get current marking
`java.lang.Integer` | `getCurrentMarkingObject()` Get current marking
`int` | `getInitialMarking()` Get initial marking
`java.lang.Integer` | `getInitialMarkingObject()` Get initial marking
`double` | `getMarkingOffsetX()` Get X-axis offset for initial marking
`java.lang.Double` | `getMarkingOffsetXObject()` Get X-axis offset for initial marking
`double` | `getMarkingOffsetY()` Get Y-axis offset for initial marking
`java.lang.Double` | `getMarkingOffsetYObject()` Get Y-axis offset for initial marking
`void` | `paintComponent(java.awt.Graphics g)` Paints the Place component taking into account the number of tokens from the currentMarking
`void` | `setCurrentMarking(int currentMarkingInput)` Set current marking
`void` | `setInitialMarking(int initialMarkingInput)` Set initial marking
`void` | `setmarkingOffsetX(double markingOffsetXInput)` Set X-axis offset for initial marking
`void` | `setmarkingOffsetY(double markingOffsetYInput)` Set Y-axis offset for initial marking
`void` | `updateEndPoint(Arc arc)`

Methods inherited from class pipe.dataLayer.PlaceTransitionObject
`addConnectFrom, addConnectTo, addedToGui, areNotSameType, centreOffsetLeft, centreOffsetTop, delete, getCentre, getConnectFromIterator, getConnectToIterator, getId, getIntersectOffset, getName, getPositionX, getPositionXObject, getPositionY, getPositionYObject, mouseDragged, mousePressed, mouseReleased, removeFromArc, removeToArc, select, setCentre, setId, setName, setPositionX, setPositionY, translate, updateBounds, updateConnected`

Methods inherited from class pipe.dataLayer.PetriNetObject
`addLabelToContainer, deselect, getNameLabel, ignoreSelection, isDraggable, isSelectable, isSelected, removeFromContainer, setDraggable, setObjectColour, setSelectable, setSelectionBorderColour`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public static final java.lang.String type

See Also:
  Constant Field Values

### initialMarking

    private java.lang.Integer initialMarking

  Initial Marking

### currentMarking

    private java.lang.Integer currentMarking

  Current Marking

### markingOffsetX

    private java.lang.Double markingOffsetX

  Initial Marking X-axis Offset

### markingOffsetY

    private java.lang.Double markingOffsetY

  Initial Marking Y-axis Offset

### DIAMETER

    public static final int DIAMETER

See Also:
  Constant Field Values

### tWidth

    public static int tWidth

  Token Width

### tHeight

    public static int tHeight

  Token Height

### place

    private static java.awt.geom.Ellipse2D.Double place

  Ellipse2D.Double place

### proximityPlace

    private static java.awt.Shape proximityPlace

Constructor Detail

### Place

    public Place(double positionXInput,
                 double positionYInput,
                 java.lang.String idInput,
                 java.lang.String nameInput,
                 double nameOffsetXInput,
                 double nameOffsetYInput,
                 int initialMarkingInput,
                 double markingOffsetXInput,
                 double markingOffsetYInput)

  Create Petri-Net Place object

Parameters:
  `positionXInput` - X-axis Position
  `positionYInput` - Y-axis Position
  `idInput` - Place id
  `nameInput` - Name
  `nameOffsetXInput` - Name X-axis Position
  `nameOffsetYInput` - Name Y-axis Position
  `initialMarkingInput` - Initial Marking
  `markingOffsetXInput` - Marking X-axis Position
  `markingOffsetYInput` - Marking Y-axis Position

### Place

    public Place(double positionXInput,
                 double positionYInput,
                 java.lang.String idInput)

  Create Petri-Net Place object

Parameters:
  `positionXInput` - X-axis Position
  `positionYInput` - Y-axis Position
  `idInput` - Place id

### Place

    public Place(double positionXInput,
                 double positionYInput)

  Create Petri-Net Place object

Parameters:
  `positionXInput` - X-axis Position
  `positionYInput` - Y-axis Position

### Place

    public Place()

  Create empty Petri-Net Place object

Method Detail

### paintComponent

    public void paintComponent(java.awt.Graphics g)

  Paints the Place component taking into account the number of tokens from the currentMarking

  Overrides:
    `paintComponent` in class `PlaceTransitionObject`
  Parameters:
    `g` - The Graphics object onto which the Place is drawn.

### setInitialMarking

    public void setInitialMarking(int initialMarkingInput)

  Set initial marking

  Parameters:
    `initialMarkingInput` - Integer value for initial marking

### setCurrentMarking

    public void setCurrentMarking(int currentMarkingInput)

  Set current marking

  Parameters:
    `currentMarkingInput` - Integer value for current marking

### setmarkingOffsetX

    public void setmarkingOffsetX(double markingOffsetXInput)

  Set X-axis offset for initial marking

  Parameters:
    `markingOffsetXInput` - Integer value for X-axis offset of initial marking

### setmarkingOffsetY

    public void setmarkingOffsetY(double markingOffsetYInput)

  Set Y-axis offset for initial marking

  Parameters:
    `markingOffsetYInput` - Integer value for Y-axis offset of initial marking

### getInitialMarking

    public int getInitialMarking()

  Get initial marking

  Returns:
    Integer value for initial marking

### getCurrentMarking

    public int getCurrentMarking()

  Get current marking

  Returns:
    Integer value for current marking

### getMarkingOffsetX

    public double getMarkingOffsetX()

  Get X-axis offset for initial marking

  Returns:
    Double value for X-axis offset of initial marking

### getMarkingOffsetY

    public double getMarkingOffsetY()

  Get Y-axis offset for initial marking

  Returns:
    Double value for X-axis offset of initial marking

### getInitialMarkingObject

    public java.lang.Integer getInitialMarkingObject()

  Get initial marking

  Returns:
    Integer value for initial marking

### getCurrentMarkingObject

    public java.lang.Integer getCurrentMarkingObject()

  Get current marking

  Returns:
    Integer value for current marking

### getMarkingOffsetXObject

    public java.lang.Double getMarkingOffsetXObject()

  Get X-axis offset for initial marking

  Returns:
    Double value for X-axis offset of initial marking

### getMarkingOffsetYObject

    public java.lang.Double getMarkingOffsetYObject()

  Get Y-axis offset for initial marking

  Returns:
    Double value for X-axis offset of initial marking

### boundsWidth

    public int boundsWidth()

  Returns the width bounds we want to use when initially creating the place on the gui

  Overrides:
    `boundsWidth` in class `PlaceTransitionObject`
  Returns:
    Width bounds of Place

### boundsHeight

    public int boundsHeight()

  Returns the height bounds we want to use when initially creating the place on the gui

  Overrides:
    `boundsHeight` in class `PlaceTransitionObject`
  Returns:
    Height bounds of Place

### contains

    public boolean contains(int x,
                            int y)

### updateEndPoint

    public void updateEndPoint(Arc arc)

  Specified by:
    `updateEndPoint` in class `PlaceTransitionObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD